roc {CMA} | R Documentation

## Receiver Operator Characteristic

### Description

The empirical Receiver Operator Characteristic (ROC) is widely used for the evaluation of diagnostic tests, but also for the evaluation of classfiers. In this implementation, it can only be used for the binary classification case. The input are a numeric vector of class probabilities (which play the role of a test result) and the true class labels. Note that misclassifcation performance can (partly widely) differ from the Area under the ROC (AUC). This is due to the fact that misclassifcation rates are always computed for the threshold 'probability = 0.5'.

### Arguments

`object` | An object of `cloutput`.
`plot` | Should the ROC curve be plotted ? Default is `TRUE`.
`...` | Argument to specifiy further graphical options.

### Value

The empirical area under the curve (AUC).

### Author(s)

Martin Slawski martin.slawski@campus.lmu.de

Anne-Laure Boulesteix http://www.slcmsr.net/boulesteix

### See Also

`evaluation`

[Package CMA version 1.2.0 Index]